S.SYS.SASMVERS EQU 2003193 ;Assembler/linker version, new format (abbbccc)
S.PRJ.Room_Template.SbusStation EQU 1 ;S-Bus station number
S.CPU.PcdType EQU 71 ;PCD type, see __PCDx_Mxxx__ symbols
S.CPU.Eline_System EQU 0 ;0 for E-Line types
S.CPU.Irm_System EQU 1 ;1 for Irm types
S.CPU.NT_System EQU 1 ;1 for new PCD types, 0 for old
S.CPU.PCD3_System EQU 0 ;0 if not PCD3
S.CPU.PCD2M5_System EQU 0 ;0 if not PCD2_M5
S.CPU.Cpu EQU 0 ;CPU number
S.CPU.MinFWVersion EQU 10900 ;Min firmware
S.CPU.MaxFWVersion EQU 999999 ;Max firmware version not defined
S.CPU.SbusStation EQU 1 ;S-Bus station number
S.CPU.SbusBaudRate EQU 115200 ;Sbus baud rate
S.CPU.ProgramVersion EQU 1000000 ;Program Version 1.0
S.CPU.LastTimer EQU T 50 ;Last timer number
S.CPU.TimerTimebase EQU 100 ;Timer timebase in ms
S.CPU.FirstCounter EQU C 51 ;First counter number
S.CPU.HasVolatileFlags EQU 1 ;1=has volatile Flags
S.CPU.LastVolatileFlag EQU F 1999 ;Flags between F 0 and F 1999 are volatile
S.CPU.FirstNonvolatileFlag EQU F 2000 ;Flags from F 2000 are nonvolatile
S.CPU.FirstDynCounter EQU C 100 ;First dynamic Counter address
S.CPU.LastDynCounter EQU C 399 ;Last dynamic Counter address
S.CPU.FirstDynTimer EQU T 5 ;First dynamic Timer address
S.CPU.LastDynTimer EQU T 50 ;Last dynamic Timer address
S.CPU.FirstDynRegister EQU R 2000 ;First dynamic Register address
S.CPU.LastDynRegister EQU R 3999 ;Last dynamic Register address
S.CPU.FirstDynFlag EQU F 2000 ;First dynamic Flag address
S.CPU.LastDynFlag EQU F 3999 ;Last dynamic Flag address
S.CPU.FirstDynVolFlag EQU F 1000 ;First dynamic volatile Flag address
S.CPU.LastDynVolFlag EQU F 1999 ;Last dynamic volatile Flag address
S.CPU.FirstDynText EQU TEXT 40 ;First dynamic Text address
S.CPU.LastDynText EQU TEXT 69 ;Last dynamic Text address
S.CPU.FirstDynDB EQU DB 70 ;First dynamic DB address
S.CPU.LastDynDB EQU DB 99 ;Last dynamic DB address
S.CPU.FirstDynRamText EQU TEXT 4040 ;First dynamic RAM Text address
S.CPU.LastDynRamText EQU TEXT 4069 ;Last dynamic RAM Text address
S.CPU.FirstDynRamDB EQU DB 4070 ;First dynamic RAM DB address
S.CPU.LastDynRamDB EQU DB 4099 ;Last dynamic RAM DB address
S.CPU.MaxFlag EQU 4049 ;Last Flag number
S.CPU.MaxReg EQU 4049 ;Last Register number
S.CPU.MaxCounter EQU 1599 ;Last Counter number
S.CPU.Use16BitAddressing EQU 0 ;Use 16-bit Register and Flag addressing (FW >= 1.20.00)
S.CPU.NoDirectIOAccess EQU 1 ;1 if I|O addresses cannot be used
S.CPU.FirstWritableTextDB EQU 4000 ;First writable Text/DB number (-1=not supported)
S.CPU.EnableDIR EQU 0 ;1=Download in Run features enabled
S.PRJ.AppLanguage EQU 'de' ;Preferred language for applications
S.PRJ.LibLanguage EQU 'de' ;Preferred language for libraries
S.PRJ.ANSICodePage EQU 1252 ;PC's Windows ANSI code page
S.SF.SYS.CipherMode.AES EQU K 00H ;
S.SF.SYS.CipherMode.DES EQU K 01H ;
S.SF.SYS.CipherMode.TDES_2KEY EQU K 02H ;
S.SF.SYS.CipherMode.TDES_3KEY EQU K 03H ;
S.SF.SYS.CipherMode.DES_PARITY EQU K 04H ;
S.SF.SYS.CipherMode.TDES_2KEY_PARITY EQU K 05H ;
S.SF.SYS.CipherMode.TDES_3KEY_PARITY EQU K 06H ;
S.SF.SYS.CipherSubMode.ECB EQU K 00H ;
S.SF.SYS.CipherSubMode.CBC EQU K 01H ;
S.SF.SYS.CipherSubMode.CTR EQU K 02H ;
S.SF.ALARM.Delete.ALL EQU K 0 ;
S.SF.ALARM.Delete.NONE EQU K 1 ;
S.SF.ALARM.Delete.OFF EQU K 2 ;
S.SF.ALARM.Delete.ACK EQU K 3 ;
S.SF.ALARM.Delete.ACK_OFF EQU K 4 ;
S.SF.ALARM.Auto.NORMAL EQU K 0 ;
S.SF.ALARM.Auto.OFF EQU K 1 ;
S.SF.ALARM.Auto.ACK EQU K 2 ;
S.SF.ALARM.Auto.ACK_OFF EQU K 3 ;
S.SF.ALARM.Auto.TOP EQU K 4 ;
S.SF.ALARM.Ring.NO EQU K 0 ;
S.SF.ALARM.Ring.YES EQU K 1 ;
S.SF.ALARM.Flags.NO EQU K 0 ;
A.BACnet.tmpPV_B EQU F  ; Binary
A.BACnet.tmpPV_A EQU R  ; Analog
A.BACnet.tmpPV_M EQU R  ; Multistate
A.BACnet.tmpReg1 EQU R  ; for calculating
A.BACnet.tmpFlg1 EQU F  ; for calculating
A.MACROS.Room_Mode_Control EQU 42 ;[_SAIA_ESUITE2_MODE
A.MACROS.Room_Temp_SetPt EQU 41 ;[_SAIA_ESUITE2_HVC_SETPOINT2
A.MACROS.Room_Mode_Reset EQU 118 ;[_HEACLKI2
A.MACROS.Room_Heating_PWM EQU 121 ;[_SAIA_ESUITE2_HVC_PWM
A.MACROS.Room_Cooling_PWM EQU 122 ;[_SAIA_ESUITE2_HVC_PWM
A.MACROS.Room_CoolHeat_Valve6Way_Control EQU 51 ;[_SAIA_ESUITE2_HVC_6WAY
A.MACROS.Room_AirQuality_Mode_Enable EQU 49 ;[_SAIA_ESUITE2_MODE_ENABLE
A.MACROS.Room_Fan_Control EQU 482 ;[_SAIA_ESUITE2_HVC_FAN2
S.CPU.OnlineAdjustParamAddsList EQU DB  ;
A.ESuite2.INIT.CodeCrtl EQU 1 ;
A.ESuite2.INIT.FirstRun EQU F  ;
A.ESuite2.INIT.restartF EQU F  ;
A.ESuite2.INIT.loadAdjP EQU F  ;
A.ESUITE2.INIT.restartR EQU R  ;
A.DDCSuite.Init.AckAlarm EQU F  ; Acknowledge all stored alarm. Try to set them to normal state
A.DDCSuite.Init.ClrMaint EQU F  ; Clear all maintenance messages and restart internal counter
A.DDCSuite.Init.OutdoorTemp EQU R  ; Outdoor temperature
A.DDCSuite.Init.Blinker EQU F  ; Blinker 1 second interval
A.SYLK.Port EQU 200 ; Port No.of SYLK Bus
A.SYLK.Rcv.Data EQU R  ; Array of 16 register received data = max. 64 bytes
A.SYLK.Rcv.Len EQU R  ; Number of bytes received
A.SYLK.Rcv.New EQU F  ; Signalizes data received
A.SYLK.TR42.Room_WallModule_TR42.State EQU R [6] ; State Machine
A.SYLK.TR42_V1.s_File1 EQU DB  ;
A.SYLK.TR42_V1.s_File2 EQU DB  ;
A.SYLK.TR42_V1.s_File3 EQU DB  ;
A.SYLK.TR42_V1.c_File1Len EQU 90 ;
A.SYLK.TR42_V1.c_File2Len EQU 12 ;
A.SYLK.TR42_V1.c_File3Len EQU 277 ;
A.ESuite2.Room_Mode_Control.info_Mode EQU R  ; Displays the current Mode
A.ESuite2.Room_Mode_Control.ManOp EQU F  ; Enable Manual Operation
A.ESuite2.Room_Mode_Control.ManMode EQU R  ; Manual Overwrite
A.ESuite2.Room_Temp_SetPt.info_SetPt EQU R  ; Info: Set Point
A.ESuite2.Room_Temp_SetPt.OccSetPt EQU R  ; Occ internal Set Point
A.ESuite2.Room_Temp_SetPt.StbySetPt EQU R  ; Stby internal Setpoint
A.ESuite2.Room_Temp_SetPt.UnoccSetPt EQU R  ; Unocc internal Set Point
A.ESuite2.Room_Temp_SetPt.ProtectSetPt EQU R  ; Protected internal Set Point
A.ESuite2.Room_Temp_SetPt.OffSetPt EQU R  ; Off internal Set Point
A.ESuite2.Room_Temp_SetPt.OffsetMax EQU R  ; Max Set Point Offset
A.ESuite2.Room_Temp_SetPt.OffsetMin EQU R  ; Min Set Point Offset
A.ESuite2.Room_Temp_SetPt.info_SetPtOffset EQU R  ; Info: Set Point Offset
A.ESuite2.Room_Temp_SetPt.OccDB_H EQU R  ; Occ Dead Band Heating
A.ESuite2.Room_Temp_SetPt.OccDB_C EQU R  ; Occ Dead Band Cooling
A.ESuite2.Room_Temp_SetPt.StbyDB_H EQU R  ; Stby Dead Band Heating
A.ESuite2.Room_Temp_SetPt.StbyDB_C EQU R  ; Stby Dead Band Cooling
A.ESuite2.Room_Temp_SetPt.UnoccDB_C EQU R  ; Unocc Dead Band Cooling
A.ESuite2.Room_Temp_SetPt.UnoccDB_H EQU R  ; Unocc Dead Band Heating
A.ESuite2.Room_Temp_SetPt.ProtectSP_C EQU R  ; Protected Set Point Cooling
A.ESuite2.Room_Temp_SetPt.ProtectSP_H EQU R  ; Protected Set Point Heating
A.ESuite2.Room_Temp_SetPt.OffSP_C EQU R  ; Off Set Point Cooling
A.ESuite2.Room_Temp_SetPt.OffSP_H EQU R  ; Off Set Point Heating
A.ESuite2.Room_Temp_SetPt.info_SetPt_H EQU R  ; Info: Set Point Heating
A.ESuite2.Room_Temp_SetPt.info_SetPt_C EQU R  ; Info: Set Point Cooling
A.ESuite2.Room_Temp_SetPt.info_En_H EQU F  ; Info: Heating enabled
A.ESuite2.Room_Temp_SetPt.info_En_C EQU F  ; Info: Cooling enabled
A.ESuite2.Room_Temp_SetPt.info_EffSetPt EQU R  ; Info: Effective Set Point
A.ESuite2.Room_Temp_SetPt.sys_installation EQU R  ; Installation enables heating, cooling ...
A.ESuite2.Room_Temp_SetPt.occ_origin EQU F  ;  Occ Set Point data origin from FBox inputs or adjust parameter
A.ESuite2.Room_Temp_SetPt.occ_en_offset EQU F  ; Occ Set Point Offset enable
A.ESuite2.Room_Temp_SetPt.occ_en_h EQU F  ; Occ Heating enable
A.ESuite2.Room_Temp_SetPt.occ_en_c EQU F  ;  Occ Cooling enable
A.ESuite2.Room_Temp_SetPt.stby_origin EQU F  ; Stby Set Point data origin from FBox inputs or adjust parameter
A.ESuite2.Room_Temp_SetPt.stby_en_offset EQU F  ; Stby Set Point Offset enable
A.ESuite2.Room_Temp_SetPt.stby_en_h EQU F  ; Stby Heating enable
A.ESuite2.Room_Temp_SetPt.stby_en_c EQU F  ; Stby Cooling enable
A.ESuite2.Room_Temp_SetPt.unocc_origin EQU F  ; UnOcc Set Point data origin from FBox inputs or adjust parameter
A.ESuite2.Room_Temp_SetPt.unocc_en_offset EQU F  ; UnOcc Set Point Offset enable
A.ESuite2.Room_Temp_SetPt.unocc_en_h EQU F  ; UnOcc Heating enable
A.ESuite2.Room_Temp_SetPt.unocc_en_c EQU F  ; UnOcc Cooling enable
A.ESuite2.Room_Temp_SetPt.protect_origin EQU F  ; Protect Set Point data origin from FBox inputs or adjust parameter
A.ESuite2.Room_Temp_SetPt.protect_en_h EQU F  ; Protect Heating enable
A.ESuite2.Room_Temp_SetPt.protect_en_c EQU F  ; Protect Cooling enable
A.ESuite2.Room_Temp_SetPt.off_origin EQU F  ;  Off Set Point data origin from FBox inputs or adjust parameter
A.ESuite2.Room_Temp_SetPt.info_Mode EQU R  ;  Currently selected mode
A.HVC.Room_Mode_Reset.Channel EQU F [2] ;
A.HVC.Room_Mode_Reset.ONTime EQU R [2] ;
A.HVC.Room_Mode_Reset.Pulse EQU R  ;
A.DCDSuite.Controller.Room_Heating_Controller.Kaltstartwert EQU R  ; Kaltstartwert
A.ESuite2.Room_Heating_PWM.Manual EQU F  ; Manual Override Enable
A.ESuite2.Room_Heating_PWM.ManPWM EQU F  ; Manual PWM State
A.ESuite2.Room_Heating_PWM.info_OutPWM EQU F  ; Info: PWM Output
A.ESuite2.Room_Heating_PWM.tCycle EQU R  ; PWM Cycle Time
A.ESuite2.Room_Heating_PWM.tMinPulse EQU R  ; PWM Min Pulse Width
A.ESuite2.Room_Heating_PWM.tMinPause EQU R  ; PWM Min Pause time at the end of the cycle
A.ESuite2.Room_Heating_PWM.yEnd EQU R  ; PWM Sequence End
A.ESuite2.Room_Heating_PWM.yStart EQU R  ; PWM Sequence Start
A.ESuite2.Room_Heating_PWM.onDC EQU R  ; PWM duty cycle value ON
A.ESuite2.Room_Heating_PWM.offDC EQU R  ; PWM duty cycle value OFF
A.DCDSuite.Controller.Room_Cooling_Controller.Kaltstartwert EQU R  ; Kaltstartwert
A.ESuite2.Room_Cooling_PWM.Manual EQU F  ; Manual Override Enable
A.ESuite2.Room_Cooling_PWM.ManPWM EQU F  ; Manual PWM State
A.ESuite2.Room_Cooling_PWM.info_OutPWM EQU F  ; Info: PWM Output
A.ESuite2.Room_Cooling_PWM.tCycle EQU R  ; PWM Cycle Time
A.ESuite2.Room_Cooling_PWM.tMinPulse EQU R  ; PWM Min Pulse Width
A.ESuite2.Room_Cooling_PWM.tMinPause EQU R  ; PWM Min Pause time at the end of the cycle
A.ESuite2.Room_Cooling_PWM.yEnd EQU R  ; PWM Sequence End
A.ESuite2.Room_Cooling_PWM.yStart EQU R  ; PWM Sequence Start
A.ESuite2.Room_Cooling_PWM.onDC EQU R  ; PWM duty cycle value ON
A.ESuite2.Room_Cooling_PWM.offDC EQU R  ; PWM duty cycle value OFF
A.ESuite2.Room_CoolHeat_Valve6Way_Control.Manual EQU F  ; Manual Override Enable
A.ESuite2.Room_CoolHeat_Valve6Way_Control.ManValve EQU R  ; Manual Valve
A.ESuite2.Room_CoolHeat_Valve6Way_Control.info_OutValve EQU R  ; Info: Valve Output
A.ESuite2.Room_CoolHeat_Valve6Way_Control.YCmax EQU R  ; Cooling Sequence End
A.ESuite2.Room_CoolHeat_Valve6Way_Control.YCmin EQU R  ; Cooling Sequence Start
A.ESuite2.Room_CoolHeat_Valve6Way_Control.YHmin EQU R  ; Heating Sequence Start
A.ESuite2.Room_CoolHeat_Valve6Way_Control.YHmax EQU R  ; Heating Sequence End
A.ESuite2.Room_AirQuality_Mode_Enable.info_Enable EQU F  ; Displays the current En output, becomes writeable in manual mode
A.ESuite2.Room_AirQuality_Mode_Enable.ManOp EQU F  ; Manual Override
A.ESuite2.Room_AirQuality_Mode_Enable.ManEnable EQU F  ; Manual Enable
A.DCDSuite.Controller.Room_AirQuality_Controller.Kaltstartwert EQU R  ; Kaltstartwert
A.ESuite2.Room_Fan_Control.Manual EQU F  ; Manual Override Enable
A.ESuite2.Room_Fan_Control.ManVent EQU R  ; Manual Ventilation Speed
A.ESuite2.Room_Fan_Control.info_St3 EQU F  ; Info: Step 3
A.ESuite2.Room_Fan_Control.info_St2 EQU F  ; Info: Step 2
A.ESuite2.Room_Fan_Control.info_St1 EQU F  ; Info: Step 1
A.ESuite2.Room_Fan_Control.info_Auto EQU F  ; Info: Automatic
A.ESuite2.Room_Fan_Control.info_timer EQU R  ; Info: Delay Timer
A.ESuite2.Room_Fan_Control.info_OffDelayTimer EQU T  ; Info: Off Delay Timer
A.ESuite2.Room_Fan_Control.info_PauseTimer EQU T  ; Info: Pause Timer
A.ESuite2.Room_Fan_Control.info_OutVent EQU R  ; Info: Ventilator Speed
A.ESuite2.Room_Fan_Control.FanOp EQU R  ; Fan Operation for cooling and heating
A.ESuite2.Room_Fan_Control.MinFanAct EQU F  ; Min Fan Speed activation (0=Always, 1=Occupied only)
A.ESuite2.Room_Fan_Control.Step3 EQU R  ; Fan Speed step 3
A.ESuite2.Room_Fan_Control.Step2 EQU R  ; Fan Speed step 2
A.ESuite2.Room_Fan_Control.Step1 EQU R  ; Fan Speed Step 1
A.ESuite2.Room_Fan_Control.Hyst3 EQU R  ; Hysteresis Step 3
A.ESuite2.Room_Fan_Control.Hyst2 EQU R  ; Hysteresis Step 2
A.ESuite2.Room_Fan_Control.Step1OffDelay EQU R  ; Step 1 Off delay time
A.ESuite2.Room_Fan_Control.Hyst1 EQU R  ; Hysteresis Step 1
A.ESuite2.Room_Fan_Control.Pause EQU R  ; Pause delay time between step changes
A.ESuite2.Room_Fan_Control.StepOutMode EQU F  ; Output Mode, see FBox help
